
Ruby - Bug #653

`rake gem' emits a warning

10/17/2008 12:48 AM - mame (Yusuke Endoh)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.1 Release Candidate   

ruby -v:  Backport:  

Description

=begin

Hi,

rake seems to call Gem.manage_gems which is deprecated at

lib/rake/gempackagetask.rb.

$ sow19 foo

(snip)

$ cd fo/

$ rake19

(in /tmp/foo)

<internal:0:Warning: Gem::manage_gems is deprecated and will be

removed on or after March 2009.

Hoe email value not set. aborting

Is it ok to merely remove the call?

Index: lib/rake/gempackagetask.rb

--- lib/rake/gempackagetask.rb (revision 19808)

+++ lib/rake/gempackagetask.rb (working copy)

@@ -9,12 +9,6 @@

require 'rubygems/user_interaction'

require 'rubygems/builder'

-begin

Gem.manage_gems

-rescue NoMethodError => ex

Using rubygems prior to 0.6.1

-end

module Rake

# Create a package based upon a Gem spec.  Gem packages, as well as

 --

Yusuke ENDOH mame@tsg.ne.jp

=end

History

#1 - 10/17/2008 04:04 AM - drbrain (Eric Hodel)

=begin

On Oct 16, 2008, at 10:09 AM, Jim Weirich wrote:

On Oct 16, 2008, at 11:47 AM, Yusuke ENDOH wrote:
rake seems to call Gem.manage_gems which is deprecated at

lib/rake/gempackagetask.rb.

$ sow19 foo

(snip)

$ cd fo/

$ rake19

(in /tmp/foo)

<internal:0:Warning: Gem::manage_gems is deprecated and will be

removed on or after March 2009.

Hoe email value not set. aborting

Is it ok to merely remove the call?

 The gempackagetask should probably be allowed to continue to work

with older gems.  Can we put a version test around this?

 RubyGems back to 0.8.8 will work if Gem.manage_gems is replaced with:

require 'rubygems/builder'

since all manage_gems did was require extra files like this one.

As of today, these are the versions of RubyGems that accessed the

repository recently:

$ cut -d ' ' -f 13 gemmirror-access_log | occur | grep RubyGems

80668: "RubyGems/0.9.4"

69239: "RubyGems/0.9.5

22181: "RubyGems/0.9.2"

12268: "RubyGems/1.0.1

11679: "RubyGems/0.9.0"

11155: "RubyGems/1.0.0

8813: "RubyGems/0.9.4.6

3153: "RubyGems/0.8.11"

1040: "RubyGems/0.8.10"

438: "RubyGems/0.9.3"

417: "RubyGems/0.9.1"

67: "RubyGems/0.9.4.7

26: "RubyGems/0.9.4.3"

25: "RubyGems/0.9.5"

5: "RubyGems/0.8.8"

3: "RubyGems/0.8.99.2"

2: "RubyGems/0.9.4.4"

2: "RubyGems/0.9.0.8"

1: "RubyGems/0.9.4

1: "RubyGems/0.9.4.5"

So I think you're fine to remove the Gem.manage_gems call.

=end

#2 - 11/29/2008 04:26 PM - ko1 (Koichi Sasada)

- Assignee set to drbrain (Eric Hodel)

=begin

=end

#3 - 12/11/2008 12:12 PM - yugui (Yuki Sonoda)

- Priority changed from 3 to 5

- Target version set to 1.9.1 Release Candidate

=begin

=end

#4 - 12/11/2008 12:13 PM - yugui (Yuki Sonoda)

=begin
Is this still reproduce? If not, close this issue.

=end

#5 - 12/14/2008 12:46 AM - antares (Michael Klishin)

=begin

It has been removed in both trunk and 1_9_1, I think this should be closed now.

=end

#6 - 12/14/2008 08:52 AM - zenspider (Ryan Davis)

- Status changed from Open to Closed

=begin

=end
